<?php
include_once(dirname(dirname(dirname(__FILE__))) . '/classes/generic.class.php');
class Add_user extends Generic {
private $result;
private $error;
private $name;
function __construct() {
if(isset($_POST['searchUsers'])) {
$this->searchUsers();
exit();
}
parent::checkExists();
if(isset($_POST['add_user'])) {
$this->name = parent::secure($_POST['name']);
$this->verify();
$this->adduser();
if(!empty($this->error)) parent::displayMessage($this->error);
else echo $this->result;
exit();
}
}
private function searchUsers() {
if(empty($_POST['searchUsers'])) return false;
$params = array( ':searchQ' => $_POST['searchUsers'] . '%' );
echo $sql = "SELECT distinct name as suggest, user_id
FROM category
WHERE
name LIKE :searchQ
OR user_id LIKE :searchQ
ORDER BY name
LIMIT 0, 5";
$stmt = parent::query($sql, $params);
if ( $stmt->rowCount() < 1 ) {
echo '<h3>' . _('No suggestions') . '</h3>
<p class="help-block">' . _('Try searching by  name, or  id.') . '</p>';
return false;
}
echo '<h2>' . _('Suggestions') . '</h2>';
while($suggest = $stmt->fetch(PDO::FETCH_ASSOC))
echo "<p><a href='Categoryedit.php?uid=" . $suggest['user_id'] . "'>" . $suggest['suggest'] . "</a></p>\n";
}
public function getPost($var) {
if(!empty($this->$var)) {
return $this->$var;
} else return false;
}
private function verify() {
if(empty($this->name)) {
$this->error = '<div class="alert alert-error">'._('You must enter a name.').'</div>';
return false;
}
}
private function adduser() {
if (!empty($this->error)) return false;
$params = array(
':name'       => $this->name
);
parent::query("INSERT INTO `category` ( `name`)
VALUES (:name);", $params);
$shortcodes = array(
'site_address'	=>	SITE_PATH,
'full_name'		=>	$this->name,
);

$this->result = "<div class='alert alert-success'>" . sprintf(_('Successfully added Category <b>%s</b> to the database. Credentials sent to user.'), $this->name) . "</div>";
}
}
$addUser = new Add_user();