<?php
include_once(dirname(dirname(dirname(__FILE__))) . '/classes/generic.class.php');
class Add_user extends Generic {
private $result;
private $error;
private $name;
private $optionvalue;
private $categories;
private $feildtype;
private $position;
private $active;
private $Compulsory;
private $displayonsearch;
function __construct() {
if(isset($_POST['searchUsers'])) {
$this->searchUsers();
exit();
}
parent::checkExists();
if(isset($_POST['add_user'])) {
$this->name = parent::secure($_POST['name']);
$this->optionvalue = parent::secure($_POST['optionvalue']);
$this->categories = parent::secure(implode(",",$_POST['category']));
$this->feildtype = parent::secure($_POST['feildtype']);
$this->position = parent::secure($_POST['position']);
$this->active = parent::secure($_POST['active']);
$this->Compulsory = parent::secure($_POST['Compulsory']);
$this->displayonsearch = parent::secure($_POST['displayonsearch']);
$this->verify();
$this->adduser();
if(!empty($this->error)) parent::displayMessage($this->error);
else echo $this->result;
exit();
}
}
/** @todo: Should be in a different class, not add_user. */
private function searchUsers() {
if(empty($_POST['searchUsers'])) return false;
$params = array( ':searchQ' => $_POST['searchUsers'] . '%' );
$sql = "SELECT distinct name as suggest, user_id
FROM productsetting
WHERE
name LIKE :searchQ
OR user_id LIKE :searchQ
ORDER BY name
LIMIT 0, 5";
$stmt = parent::query($sql, $params);
if ( $stmt->rowCount() < 1 ) {
echo '<h3>' . _('No suggestions') . '</h3>
<p class="help-block">' . _('Try searching by  name, or  id.') . '</p>';
return false;
}
echo '<h2>' . _('Suggestions') . '</h2>';
while($suggest = $stmt->fetch(PDO::FETCH_ASSOC))
echo "<p><a href='productsettingedit.php?uid=" . $suggest['user_id'] . "'>" . $suggest['suggest'] . "</a></p>\n";
}
public function getPost($var) {
if(!empty($this->$var)) {
return $this->$var;
} else return false;
}
private function verify() {
if(empty($this->name)) {
$this->error = '<div class="alert alert-error">'._('You must enter a name.').'</div>';
return false;
}
}
private function adduser() {
if (!empty($this->error)) return false;
$params = array(
':name'       => $this->name,
':optionvalue'       => $this->optionvalue,
':categories'       => $this->categories,
':feildtype'       => $this->feildtype,
':position'       => $this->position,
':active'       => $this->active,
':Compulsory'       => $this->Compulsory,
':displayonsearch'       => $this->displayonsearch
);
parent::query("INSERT INTO `productsetting` ( `name`,`optionvalue`,`categories`,`feildtype`,`position`,`active`,`Compulsory`,`displayonsearch`)
VALUES (:name,:optionvalue,:categories,:feildtype,:position,:active,:Compulsory,:displayonsearch);", $params);
$shortcodes = array(
'site_address'	=>	SITE_PATH,
'full_name'		=>	$this->name,
'categories'		=>	$this->categories,
'optionvalue'		=>	$this->optionvalue,
'position'		=>	$this->feildtype,
'active'		=>	$this->active,
'Compulsory'		=>	$this->Compulsory,
'displayonsearch'		=>	$this->displayonsearch,
);
?><script type="text/javascript">
<!--
window.location = "tabing1.php"
//-->
</script><?php
/*	$subj = parent::getOption('email-add-user-subj');
$msg = parent::getOption('email-add-user-msg');
if(!parent::sendEmail($this->email, $subj, $msg, $shortcodes))
$this->error = _('ERROR. Mail not sent');*/
//header('location:productsettting.php');
//$this->result = "<div class='alert alert-success'>" . sprintf(_('Successfully added productsetting <b>%s</b> to the database. Credentials sent to user.'), $this->name) . "</div>";
}
}
$addUser = new Add_user();