<?php
error_reporting(0);


include_once(dirname(dirname(dirname(__FILE__))) . '/classes/generic.class.php');

class Edit_user extends Generic {

	private $options = array();

	function __construct() {

		// Make sure a user has been selected
		if(!empty($_GET['uid'])) $this->grabCurrentUser(); else parent::displayMessage("<div class='alert alert-error'>"._('No Index page selected!')."</div>");

		/* Keep track of the original level in case there's a change. We might want to send emails on new level changes. */
		//$this->original_level = is_array($this->options['user_level']) ? serialize($this->options['user_level']) : $this->options['user_level'];

		// Once the form has been processed
		if(!empty($_POST)) {

			// Save all values
			foreach ($_POST as $key => $value)
				$this->options[$key] = parent::secure($value);

			// Validate fields
			$this->validate();

			// Process the form
			echo empty($this->error) ? $this->process() : $this->error;

		}

	}

	private function grabCurrentUser() {

		$this->id = parent::secure($_GET['uid']);

		$params = array( ':user_id' => $this->id );
		$stmt   = parent::query("SELECT * FROM categorylabling WHERE user_id = :user_id;", $params);

		if( $stmt->rowCount() < 1 ) parent::displayMessage("<div class='alert alert-error'>"._('No such index page data!')."</div>");

		foreach ($stmt->fetch(PDO::FETCH_ASSOC) as $field => $value)
			$this->options[$field] = $value;

	}



	private function validate() {

		$this->options['restricted'] = !empty($_POST['restricted']) ? 1 : 0;

		// Checkbox handling
		$fields = parent::getOption('profile-fields');
		if ($fields) :
			foreach(unserialize($fields) as $type => $label) :
				$name = 'p-'.$label;
				if(strstr($type, "checkbox"))
					$this->options[$name] = !empty($this->options[$name]) ? 1 :0;
			endforeach;
		endif;

		// Setting a default user_level if one wasn't selected
		$this->options['user_level'] = empty($_POST['user_level']) ? parent::getOption('default-level') : serialize($this->options['user_level']);

	/*	if ( $this->options['user_level'] != $this->original_level ) {

			$new_level = unserialize($this->options['user_level']);
			$original_level = unserialize($this->original_level);

			$send_levels = array_diff($new_level, $original_level);

			$levels = implode(',' , $send_levels);
			$sql = 'SELECT * FROM `category` WHERE `welcome_email` = "1" AND `level_level` IN ('.$levels.')';
			$stmt = parent::query($sql);

			$this->sendWelcome = ( $stmt->rowCount() > 0 ) ? true : false;

		}*/

		if(empty($this->options['name'])) {
			$this->error = '<div class="alert alert-error">'._('You must enter name.').'</div>';
		}/* else if(!parent::isEmail($this->options['email'])) {
			$this->error = '<div class="alert alert-error">'._('You have entered an invalid e-mail address, try again.').'</div>';
		} else if(!isset($this->options['user_level'])) {
			$this->error = '<div class="alert alert-error">'._('No user level has been selected.').'</div>';
		}*/

		// Password been entered? If so, validate
		
	}

	private function process() {

		if(!empty($this->error))
			return false;

		// Ticked the 'delete user' box?
	

	
			$params = array(
			
				':name'     => $this->options['name'],
		':button2'     => $this->options['button2'],
			':sharedname'     => $this->options['sharedname'],
			':printname'     => $this->options['printname'],
			':popup'     => $this->options['popup'],
		':id'       => $this->id
			);
			$sql = "UPDATE `categorylabling` SET  `name` = :name,`button2` = :button2,`sharedname` = :sharedname,`printname` = :printname ,`popup` = :popup  WHERE `user_id` = :id;";
			parent::query($sql, $params);
			$result = sprintf("<div class='alert alert-success'>"._('categorylabling information updated for')." <b>%s</b> (%s).</div>",$this->options['name']);
		?>
		<script type="text/javascript">

window.location = "tabing.php"

</script>
		<?php
		
		//header('location:tabing.php');

		// Checkbox handling
		
		

		// Update profile fields
		foreach($this->options as $field => $value) :

			if(strstr($field,'p-')) {
				$field = str_replace('p-', '', $field);
				parent::updateOption($field, $value, true, $this->options['user_id']);
			}

		endforeach;

		/* Time to send our welcome email! */
		if ( $this->sendWelcome ) :

			$msg  = parent::getOption('email-welcome-msg');
			$subj = parent::getOption('email-welcome-subj');

			$shortcodes = array(
				'site_address' => SITE_PATH,
				'full_name'    => $this->options['name'],
			
			);

			/*if(!parent::sendEmail($shortcodes['email'], $subj, $msg, $shortcodes))
				$this->error = _('ERROR. Mail not sent');*/

		endif;


		return $result;
	}

	// Return a form field
	public function getField($field) {

		if (!empty($this->options[$field]))
			return $this->options[$field];

	}

}