<?php
include_once(dirname(dirname(dirname(__FILE__))) . '/classes/generic.class.php');
include_once('../classes/config.php');
class Add_user extends Generic {
private $result;
private $error;
private $name;
private $htname;
private $keyword;
function __construct() {
if(isset($_POST['searchUsers'])) {
$this->searchUsers();
exit();
}
parent::checkExists();
if(isset($_POST['add_user'])) {
$this->name = parent::secure($_POST['name']);
$this->htname = parent::secure($_POST['htname']);
$this->keyword = parent::secure($_POST['keyword']);
$this->verify();
$this->adduser();
if(!empty($this->error)) parent::displayMessage($this->error);
else echo $this->result;
exit();
}
}
private function searchUsers() {
if(empty($_POST['searchUsers'])) return false;
$params = array( ':searchQ' => $_POST['searchUsers'] . '%' );
$sql = "SELECT distinct name as suggest, user_id
FROM category
WHERE
name LIKE :searchQ
OR user_id LIKE :searchQ
ORDER BY name
LIMIT 0, 5";
$stmt = parent::query($sql, $params);
if ( $stmt->rowCount() < 1 ) {
echo '<h3>' . _('No suggestions') . '</h3>
<p class="help-block">' . _('Try searching by  name, or  id.') . '</p>';
return false;
}
echo '<h2>' . _('Suggestions') . '</h2>';
while($suggest = $stmt->fetch(PDO::FETCH_ASSOC))
echo "<p><a href='Categoryedit.php?uid=" . $suggest['user_id'] . "'>" . $suggest['suggest'] . "</a></p>\n";
}
public function getPost($var) {
if(!empty($this->$var)) {
return $this->$var;
} else return false;
}
private function verify() {
if(empty($this->name)) {
$this->error = '<div class="alert alert-error">'._('You must enter a name.').'</div>';
return false;
}
}
private function adduser() {
if (!empty($this->error)) return false;
$params = array(
':name'       => $this->name,
':htname'       => str_replace(' ', '', $this->htname),
':keyword'       => $this->keyword

);
parent::query("INSERT INTO `category` ( `name`,`htname`,`keyword`)
VALUES (:name,:htname,:keyword);", $params);
$sql  = "SELECT * FROM category order by user_id desc limit 0,1 ";
$stmt = parent::query($sql);
$row = $stmt->fetch(PDO::FETCH_ASSOC);
$params1 = array(
':name'       => $this->name,
':htname'       => str_replace(' ', '', $this->htname),
':category'       => 'category',
':pid'       => $row['user_id']
);
$a=parent::query("INSERT INTO `menu` ( `name`,`catname`,`pid`,`htname`)
VALUES (:name,:category,:pid,:htname);", $params1);
$shortcodes = array(
'site_address'	=>	SITE_PATH,
'full_name'		=>	$this->name,
);
?><script type="text/javascript">
<!--
window.location = "cate.php"
//-->
</script><?php
}
}
$addUser = new Add_user();