-- phpMyAdmin SQL Dump
-- version 3.5.2.2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Aug 28, 2013 at 09:26 AM
-- Server version: 5.5.27
-- PHP Version: 5.4.7

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `portalnew`
--

-- --------------------------------------------------------

--
-- Table structure for table `adminemail`
--

CREATE TABLE IF NOT EXISTS `adminemail` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subject` varchar(255) DEFAULT NULL,
  `adminmailid` varchar(255) DEFAULT NULL,
  `mailsendto` varchar(255) DEFAULT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `category`
--

CREATE TABLE IF NOT EXISTS `category` (
  `user_id` int(8) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `data` varchar(255) NOT NULL DEFAULT 'category',
  `menu` varchar(255) NOT NULL,
  `submenu` varchar(255) NOT NULL,
  `catname` varchar(255) NOT NULL,
  `displayorder` int(11) NOT NULL,
  `parent_id` varchar(11) NOT NULL,
  `rang` int(11) NOT NULL,
  `htname` varchar(255) NOT NULL,
  `keyword` text NOT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `categorylabling`
--

CREATE TABLE IF NOT EXISTS `categorylabling` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `button2` varchar(255) DEFAULT NULL,
  `sharedname` varchar(255) DEFAULT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `printname` varchar(233) NOT NULL,
  `popup` varchar(20) NOT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `categorylabling`
--

INSERT INTO `categorylabling` (`user_id`, `name`, `button2`, `sharedname`, `timestamp`, `printname`, `popup`) VALUES
(1, 'Description', 'location', 'Click to share', '2013-06-01 13:21:55', 'Print this page', 'popupc');

-- --------------------------------------------------------

--
-- Table structure for table `cboxdata`
--

CREATE TABLE IF NOT EXISTS `cboxdata` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `data` varchar(244) DEFAULT NULL,
  `data1` text,
  `pid` int(11) DEFAULT NULL,
  `data2` int(11) DEFAULT NULL,
  `selectlist` int(11) NOT NULL DEFAULT '0',
  `feildtype` int(11) NOT NULL,
  `data1r1` varchar(200) NOT NULL,
  `datagrid` int(11) NOT NULL,
  `value` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `cms`
--

CREATE TABLE IF NOT EXISTS `cms` (
  `user_id` int(8) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `description` text NOT NULL,
  `cmsdata` varchar(22) NOT NULL DEFAULT 'cms',
  `menu` varchar(255) NOT NULL,
  `submenu` varchar(255) NOT NULL,
  `catname` varchar(255) NOT NULL,
  `displayorder` int(11) NOT NULL,
  `displayon` varchar(200) NOT NULL,
  `htname` varchar(255) NOT NULL,
  `keyword` text NOT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `contect`
--

CREATE TABLE IF NOT EXISTS `contect` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `mobileno` varchar(20) DEFAULT NULL,
  `message` text,
  `register_on` varchar(20) DEFAULT NULL,
  `projectname` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `data`
--

CREATE TABLE IF NOT EXISTS `data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `data` varchar(244) DEFAULT NULL,
  `data1` text,
  `pid` int(11) DEFAULT NULL,
  `data2` int(11) DEFAULT NULL,
  `selectlist` int(11) NOT NULL DEFAULT '0',
  `feildtype` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `image`
--

CREATE TABLE IF NOT EXISTS `image` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `upload` varchar(255) DEFAULT NULL,
  `pid` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `labling`
--

CREATE TABLE IF NOT EXISTS `labling` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `buttonname` varchar(10) DEFAULT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `url` varchar(50) NOT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=13 ;

--
-- Dumping data for table `labling`
--

INSERT INTO `labling` (`user_id`, `name`, `description`, `buttonname`, `timestamp`, `url`) VALUES
(1, 'Looking for a car?', '1.000 new offers every day. 35.000 offers on site', 'Search', '2013-05-01 05:23:55', ''),
(2, 'Want toSell a car?', '200.000 visitors every day. Add your offer now!', 'Saller', '2013-05-31 06:25:40', ''),
(3, 'Add A Page', 'Add A Page', 'Add A Page', '2013-05-31 06:18:51', ''),
(4, 'Login', 'Login', 'Login', '2013-05-31 06:19:48', ''),
(5, 'Signout', 'Signout', 'Signout', '2013-05-31 06:19:48', ''),
(6, 'Get daily offers', 'Get daily offers', 'Get daily ', '2013-05-31 06:20:33', ''),
(7, 'Find us here', 'Find us here', 'Find us he', '2013-05-31 06:20:33', ''),
(8, 'Category us', 'Category us', 'Category u', '2013-05-31 06:21:03', ''),
(9, 'Cms', 'Cms', 'Cms', '2013-05-31 06:21:03', ''),
(10, 'Have a Question? Contact Us!', '', 'Searching ', '2013-06-05 08:44:43', 'info@Portal.com'),
(11, 'Featured Posts', NULL, NULL, '2013-06-10 05:31:09', ''),
(12, 'Latest Posts', NULL, NULL, '2013-06-10 05:30:51', '');

-- --------------------------------------------------------

--
-- Table structure for table `login_confirm`
--

CREATE TABLE IF NOT EXISTS `login_confirm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `data` varchar(255) NOT NULL,
  `username` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `key` varchar(255) NOT NULL,
  `type` varchar(25) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `login_integration`
--

CREATE TABLE IF NOT EXISTS `login_integration` (
  `user_id` int(255) NOT NULL,
  `facebook` varchar(255) NOT NULL,
  `twitter` varchar(255) NOT NULL,
  `google` varchar(255) NOT NULL,
  `yahoo` varchar(255) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `login_levels`
--

CREATE TABLE IF NOT EXISTS `login_levels` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `level_name` varchar(255) NOT NULL,
  `level_level` int(1) NOT NULL,
  `level_disabled` tinyint(1) NOT NULL DEFAULT '0',
  `redirect` varchar(255) DEFAULT NULL,
  `welcome_email` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `level_level` (`level_level`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `login_levels`
--

INSERT INTO `login_levels` (`id`, `level_name`, `level_level`, `level_disabled`, `redirect`, `welcome_email`) VALUES
(1, 'Admin', 1, 0, NULL, 0),
(2, 'Special', 2, 0, NULL, 0),
(3, 'User', 3, 0, NULL, 0);

-- --------------------------------------------------------

--
-- Table structure for table `login_profiles`
--

CREATE TABLE IF NOT EXISTS `login_profiles` (
  `p_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `pfield_id` int(255) unsigned NOT NULL,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `profile_value` longtext,
  PRIMARY KEY (`p_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `login_profile_fields`
--

CREATE TABLE IF NOT EXISTS `login_profile_fields` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `section` varchar(255) NOT NULL,
  `type` varchar(25) NOT NULL,
  `label` varchar(255) NOT NULL,
  `public` tinyint(4) NOT NULL,
  `signup` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `login_settings`
--

CREATE TABLE IF NOT EXISTS `login_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `option_name` varchar(255) NOT NULL,
  `option_value` longtext NOT NULL,
  `facebook` varchar(150) NOT NULL,
  `twitter` varchar(150) NOT NULL,
  `googleplus` varchar(150) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `option_name` (`option_name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=50 ;

--
-- Dumping data for table `login_settings`
--

INSERT INTO `login_settings` (`id`, `option_name`, `option_value`, `facebook`, `twitter`, `googleplus`) VALUES
(1, 'site_address', 'http://localhost/portalv5/', '', '', ''),
(2, 'default_session', '0', '', '', ''),
(3, 'admin_email', 'admin@gmail.com', '', '', ''),
(4, 'block-msg-enable', '1', '', '', ''),
(5, 'block-msg', '<h1>Sorry, Hank.</h1>\r\n\r\n<p>We have detected that your user level does not entitle you to view the page requested.</p>\r\n\r\n<p>Please contact the website administrator if you feel this is in error.</p>\r\n\r\n<h5>What to do now?</h5>\r\n<p>To see this page you must <a href=''logout.php''>logout</a> and login with sufficiant privileges.</p>', '', '', ''),
(6, 'block-msg-out', 'You need to login to do that.', '', '', ''),
(7, 'block-msg-out-enable', '1', '', '', ''),
(8, 'email-welcome-msg', 'Hello {{full_name}} !\r\n\r\nThanks for registering at {{site_address}}. Here are your account details:\r\n\r\nName: {{full_name}}\r\nUsername: {root}\r\nEmail: {{email}}\r\nPassword: *hidden*\r\n\r\nYou will first have to activate your account by clicking on the following link:\r\n\r\n{{activate}}', '', '', ''),
(9, 'email-activate-msg', 'Hi there {{full_name}} !\r\n\r\nYour account at {{site_address}} has been successfully activated :). \r\n\r\nFor your reference, your username is <strong>{root}</strong>. \r\n\r\nSee you soon!', '', '', ''),
(10, 'email-activate-subj', 'You''ve activated your account at Leopedia !', '', '', ''),
(11, 'email-activate-resend-subj', 'Here''s your activation link again for leopedia', '', '', ''),
(12, 'email-activate-resend-msg', 'Why hello, {{full_name}}. \r\n\r\nI believe you requested this:\r\n{{activate}}\r\n\r\nClick the link above to activate your account :)', '', '', ''),
(13, 'email-welcome-subj', 'Thanks for signing up with leopedia:)', '', '', ''),
(14, 'email-forgot-success-subj', 'Your password has been reset at leopedia', '', '', ''),
(15, 'email-forgot-success-msg', 'Welcome back, {{full_name}} !\r\n\r\nI''m just letting you know your password at {{site_address}} has been successfully changed. \r\n\r\nHopefully you were the one that requested this password reset !\r\n\r\nCheers', '', '', ''),
(16, 'email-forgot-subj', 'Lost your password at leopedia?', '', '', ''),
(17, 'email-forgot-msg', 'Hi {{full_name}},\r\n\r\nYour username is <strong>{root}</strong>.\r\n\r\nTo reset your password at leopedia, please click the following password reset link:\r\n{{reset}}\r\n\r\nSee you soon!', '', '', ''),
(18, 'email-add-user-subj', 'You''re registered with leopedia!', '', '', ''),
(19, 'email-add-user-msg', 'Hello {{full_name}} !\r\n\r\nYou''re now registered at {{site_address}}. Here are your account details:\r\n\r\nName: {{full_name}}\r\nUsername: {root}\r\nEmail: {{email}}\r\nPassword: {}', '', '', ''),
(20, 'pw-encrypt-force-enable', '0', '', '', ''),
(21, 'pw-encryption', 'MD5', '', '', ''),
(22, 'phplogin_db_version', '1206210', '', '', ''),
(23, 'email-acct-update-subj', 'Confirm your account changes', '', '', ''),
(24, 'email-acct-update-msg', 'Hi {{full_name}} !\r\n\r\nYou ( {root} ) requested a change to update your password or email. Click the link below to confirm this change.\r\n\r\n{{confirm}}\r\n\r\nThanks!\r\n{{site_address}}', '', '', ''),
(25, 'email-acct-update-success-subj', 'Your account has been updated', '', '', ''),
(26, 'email-acct-update-success-msg', 'Hello {{full_name}},\r\n\r\nYour account details at {{site_address}} has been updated. \r\n\r\nYour username: {root}\r\n\r\nSee you around!', '', '', ''),
(27, 'guest-redirect', 'http://localhost/portalv5/admin/login.php?e=1', '', '', ''),
(28, 'signout-redirect-referrer-enable', '1', '', '', ''),
(29, 'signin-redirect-referrer-enable', '1', '', '', ''),
(30, 'default-level', 'a:1:{i:0;s:1:"3";}', '', '', ''),
(31, 'new-user-redirect', 'http://localhost/portalv5/admin/index.php', '', '', ''),
(32, 'user-activation-enable', '1', '', '', ''),
(33, 'email-new-user-subj', 'A new user has registered !', '', '', ''),
(34, 'email-new-user-msg', 'Hello,\r\n\r\nThere''s been a new registration at &lt;a href=&quot;{{site_address}}&quot;&gt;your site&lt;/a&gt;.\r\n\r\nHere''s the user''s details:\r\n\r\nName: {{full_name}}\r\nUsername: {root}\r\nEmail: {{email}}', '', '', ''),
(35, 'signout-redirect-url', '', '', '', ''),
(36, 'signin-redirect-url', '', '', '', ''),
(37, 'general-options-form', '1', '', '', ''),
(38, 'save-settings', '', '', '', ''),
(39, 'notify-new-user-enable', '0', '', '', ''),
(40, 'disable-registrations-enable', '0', '', '', ''),
(41, 'facebook', 'facebook', '', '', ''),
(42, 'twitter', 'facebook', '', '', ''),
(43, 'googleplus', 'facebook', '', '', ''),
(44, 'currency', 'rs', '', '', ''),
(45, 'password', '41705010b', '', '', ''),
(46, 'username', 'bivek11@gmail.com', '', '', ''),
(47, 'port', '465', '', '', ''),
(48, 'host', 'ssl://smtp.gmail.com', '', '', ''),
(49, 'mailer', 'smtp', '', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `login_timestamps`
--

CREATE TABLE IF NOT EXISTS `login_timestamps` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `ip` varchar(255) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `login_users`
--

CREATE TABLE IF NOT EXISTS `login_users` (
  `user_id` int(8) NOT NULL AUTO_INCREMENT,
  `user_level` longtext NOT NULL,
  `restricted` int(1) NOT NULL DEFAULT '0',
  `username` varchar(15) NOT NULL,
  `name` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `password` varchar(128) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_id` (`user_id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=14 ;

--
-- Dumping data for table `login_users`
--

INSERT INTO `login_users` (`user_id`, `user_level`, `restricted`, `username`, `name`, `email`, `password`, `timestamp`) VALUES
(1, 'a:3:{i:0;s:1:"3";i:1;s:1:"1";i:2;s:1:"2";}', 0, 'admin', 'Admina', 'bivek11@gmail.com', '21232f297a57a5a743894a0e4a801fc3', '2013-04-17 08:36:49');

-- --------------------------------------------------------

--
-- Table structure for table `logo`
--

CREATE TABLE IF NOT EXISTS `logo` (
  `user_id` int(8) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `upload` varchar(255) NOT NULL,
  `imagedisplay` int(11) NOT NULL DEFAULT '0',
  `metatitle` varchar(255) NOT NULL,
  `metakeyword` text NOT NULL,
  `metadescription` text NOT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_id` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `logo`
--

INSERT INTO `logo` (`user_id`, `name`, `timestamp`, `upload`, `imagedisplay`, `metatitle`, `metakeyword`, `metadescription`) VALUES
(1, 'Portal Market', '2013-08-09 07:20:03', '1367410557.png', 0, 'Mixed real estate portal', 'New, Portal ,Market', 'New Portal Market');

-- --------------------------------------------------------

--
-- Table structure for table `menu`
--

CREATE TABLE IF NOT EXISTS `menu` (
  `user_id` int(8) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `data` varchar(255) NOT NULL DEFAULT 'category',
  `menu` varchar(255) NOT NULL,
  `submenu` varchar(255) NOT NULL,
  `catname` varchar(255) NOT NULL,
  `displayorder` int(11) NOT NULL,
  `parent_id` varchar(11) NOT NULL DEFAULT '0',
  `rang` int(11) NOT NULL,
  `pid` int(11) NOT NULL,
  `dataup` varchar(255) NOT NULL,
  `htname` varchar(200) NOT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `newsletter`
--

CREATE TABLE IF NOT EXISTS `newsletter` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `timestamp` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `pagecms`
--

CREATE TABLE IF NOT EXISTS `pagecms` (
  `user_id` int(8) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `description` text NOT NULL,
  `cmsdata` varchar(22) NOT NULL DEFAULT 'cms',
  `menu` varchar(255) NOT NULL,
  `submenu` varchar(255) NOT NULL,
  `catname` varchar(255) NOT NULL,
  `displayorder` int(11) NOT NULL,
  `displayon` varchar(200) NOT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_id` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `pagecms`
--

INSERT INTO `pagecms` (`user_id`, `name`, `timestamp`, `description`, `cmsdata`, `menu`, `submenu`, `catname`, `displayorder`, `displayon`) VALUES
(1, 'Description of data', '2013-08-08 18:30:00', '&lt;p&gt;Description of data&lt;/p&gt;', 'cms', '', '', '', 0, '');

-- --------------------------------------------------------

--
-- Table structure for table `pagestatus`
--

CREATE TABLE IF NOT EXISTS `pagestatus` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `display` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `pagestatus`
--

INSERT INTO `pagestatus` (`user_id`, `name`, `timestamp`, `display`) VALUES
(1, 'Information', '2013-05-15 18:30:00', 1),
(2, 'More Information', '2013-05-13 18:30:00', 1),
(3, 'Location', '2013-06-13 18:30:00', 0),
(4, 'price', '2013-05-30 18:30:00', 1);

-- --------------------------------------------------------

--
-- Table structure for table `product`
--

CREATE TABLE IF NOT EXISTS `product` (
  `pr_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `catid` int(11) DEFAULT NULL,
  `created_on` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `moreinfo` text,
  `vehicalinformation` text,
  `price` varchar(100) DEFAULT NULL,
  `displayonbanner` int(11) NOT NULL DEFAULT '0',
  `address` varchar(255) NOT NULL,
  `status` enum('Active','Inactive','Deleted') NOT NULL DEFAULT 'Active',
  `pname` varchar(255) NOT NULL,
  `phone_1` varchar(255) NOT NULL,
  `phone_2` varchar(255) NOT NULL,
  `city` varchar(255) NOT NULL,
  `Country` varchar(255) NOT NULL,
  `State` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `htname` varchar(255) NOT NULL,
  `categorydats` text NOT NULL,
  PRIMARY KEY (`pr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `productsetting`
--

CREATE TABLE IF NOT EXISTS `productsetting` (
  `user_id` int(8) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `timestamp` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `optionvalue` varchar(255) DEFAULT NULL,
  `categories` varchar(255) DEFAULT NULL,
  `feildtype` varchar(255) DEFAULT NULL,
  `position` int(255) DEFAULT NULL,
  `active` varchar(255) DEFAULT NULL,
  `Compulsory` varchar(255) DEFAULT NULL,
  `displayonsearch` varchar(255) DEFAULT NULL,
  `value` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `vehical`
--

CREATE TABLE IF NOT EXISTS `vehical` (
  `user_id` int(8) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

